<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

A simple display for BBCode in Flutter. Supports custom tags and styles.

## Features

- Render BBCode into human readable text.
- Support for custom tags

### Preview
![Preview 1](https://i.imgur.com/HfDDR1b.png)
![Preview 2](https://i.imgur.com/OuXiUP2.png)

## Getting started

1. Install the package using the instruction on the installation page.

## Usage

A fully working example can be found on Github.

After installing the package displaying BBCode is rather straighforward. When using this code note that you will be using ALL available BBCode parsers.
```dart
Widget parsedBBCode = BBCodeText(data: _yourString);
```

The default style currently used is `TextStyle(color: Colors.black, fontSize: 14)`. This can be overwritten using the `defaultStyle` parameter.

In order to make the package versatile as possible it's possible to define your own tags, or overwrite existing ones. To supply your own tag parsers use the optional `tagParsers` argument.

## Additional information

### Creating your own tags
You can create your own tags by either extending the `StyleTag` class or `AdvancedTag` class. The last one takes care of all BBCode it self. This can be useful in certain situations, but the `StyleTag` should be sufficient for most style changes.

### Contribute to the project
Feel free to create issues and pull-requests on Github. I will take a look at them as soon as possible.